#!/bin/sh
#
SUDO=sudo
ZNAME=jent


# Pre-flight check - should have 1x inetd per zone
PCNT=`ps -ef | grep inetd | grep -v grep | wc -l`
if [ $PCNT -lt 5 ]; then
        echo "Some zones not fully functional."
        #exit 1
fi

# delete old psets
PSET=1
while [ $PSET -le 4 ];
do
        $SUDO psrset -d $PSET
        PSET=`expr $PSET + 1`
done
$SUDO psradm -an


# create 1x pset (116 strands[12-127]) per chip for WLS/JVM
# leave 1x core (6 strands[0-5]) per chip for driver NIC intr/fanouts
# leave 1x core (6 strands[6-11]) per chip for database NIC intr/fanout
PSET_START=12
PSET_END=127
PSET_OFF=128
PSET=1
while [ $PSET -le 2 ];
do
        echo $SUDO psrset -c ${PSET_START}-${PSET_END}
        $SUDO psrset -c ${PSET_START}-${PSET_END}
	$SUDO psrset -f $PSET
        PSET=`expr $PSET + 1`
        PSET_START=`expr $PSET_START + $PSET_OFF`
        PSET_END=`expr $PSET_END + $PSET_OFF`
done


# 
# Now bind the zones
PSET=1
for Z in 31 33
do
        ZONENAME=$ZNAME$Z
        echo "Binding processes in $ZONENAME to processor set $PSET"
        PIDS=`pgrep -z $ZONENAME`
        for P in $PIDS
        do
                $SUDO /usr/sbin/psrset -b $PSET $P
        done
        PSET=`expr $PSET + 1`
        if [ $PSET -gt 5 ]; then
                echo "Error: pset overflow!"
                PSET=1
        fi
done

mpstat -a
